#include <bits/stdc++.h>
using namespace std;
int LastIndex[10];
int Count[10];
int main(){
int n;
cin >>n;
vector <char> a(n);
for(int i=0;i<n;i++){
    cin >>a[i];
}

for(int i=0;i<10;i++)LastIndex[i]=-1;
for(int i=0;i<n;i++){
    LastIndex[a[i]-'0']=i;
    Count[a[i]-'0']++;
}
vector <char> ideal;
for(int i=9;i>=0;i--){
    for(int j=0;j<Count[i];j++){
        ideal.push_back(i+'0');
    }
}

bool done=false;
for(int i=0;i<n;i++){
    if(a[i]!=ideal[i]){
        done=true;
        int Cifra=a[i]-'0'+1;
        swap(a[i],a[LastIndex[ideal[i]-'0']]);
        break;
    }
}
if(!done)swap(a[n-2],a[n-1]);
for(int i=0;i<n;i++){
    cout <<a[i]<<" ";
}cout <<endl;
}